/*
 *    
 *    UML Diagram for Question 5 : 
 *    
 *    ----------------------------------
 *        Triangle
 *    ----------------------------------
 *    - angle1 : double
 *    - angle2 : double
 *    ----------------------------------
 *    + Triangle()
 *    + Triangle(a1: double, a2: double)
 *    + getAngle1(): double
 *    + getAngle2(): double
 *    + getAngle3(): double
 *    + isEquilateral(): boolean
 *    ----------------------------------
 * 
 */


public class Triangle
{
    private double angle1;
    private double angle2;
    public Triangle()
    {
	angle1 = 60;
	angle2 = 60;
    }
    public Triangle(double a1, double a2)
    {
	angle1 = a1;
	angle2 = a2;
    }
    public double getAngle1()
    {
        return angle1;
    }
    public double getAngle2()
    {
        return angle2;
    }
    public double getAngle3()
    {
        return 180 - (angle1 + angle2);
    }
    public boolean isEquilateral()
    {
	if (angle1 == angle2 && angle2 == getAngle3())
	    {
	        return true;
	       }
	else
	    {
	        return false;
	       }
    }
}

