/*
 * Performance.java
 * 
 */
/**
 * Solution to the fifth question of the in-class exam#2.
 * Class CS1440
 * 
 * @author  Clément Aubert
 * @version 11/15/2016, fall 2016
 */

public class Performance

{
    private String name;
    private double bestTime;
     /**
     * Constructor.
     * @param name a String, the name of the object we are constructing
     * @param bestTime a double, the bestTime of the object we are constructing
     */
    public Performance(String name, double bestTime)
    {
        this.name = name;
        this.bestTime = bestTime;
    }
     /**
     * Copy Constructor.
     * @param p the Performance object we want to construct.
     */
    public Performance(Performance p)
    {
        name = p.name;
        bestTime = p.bestTime;
    }
     /**
     * toString method.
     * @return a nice formatting of the Performance object.
     */
    public String toString()
    {
        return "Name: "
            + name
            + "\nBest Time :"
            + String.format("%.2f\n", bestTime);
    }
}
