/*
 * Question2.java
 * Preamble, you can ignore the nine following lines.
 */

import java.util.Scanner;

/**
 * Solution to the second question of the in-class exam#2.
 * Class CS1440
 * 
 * @author  Clément Aubert
 * @version 11/15/2016, fall 2016
 */

public class Question2
{
    /**
     * It all starts with the main method!
     * @param args command-line arguments (not used)
     */
    public static void main(String[] args)
    {
        Scanner keyboard = new Scanner(System.in);
        System.out.print("Give me two numbers.");
        int i1 = keyboard.nextInt();
        int i2 = keyboard.nextInt();
        int[] myArray1 = new int[i1];
        int[][] myArray2 = new int[i1][i2];

        /*
         * Question 2 a)
         */
        int[] arrayA = new int[4];
        for (int i = 0; i < arrayA.length; i++)
        {
            arrayA[i] = 1;
        }
        // Or, for instance:

        int [] arrayAbis = {1, 1, 1, 1};

        /*
         * Question 2 b)
         */
        for (int i = 0; i < myArray1.length; i++)
        {
            myArray1[i] = i + 1;
        }

        /*
         * Question 2 c)
         */
        int[][] arrayC = new int[3][4];
        for (int row = 0; row < arrayC.length; row++)
        {
            for (int col = 0; col < arrayC[row].length; col++)
            {
                arrayC[row][col] = col + 1;
            }
        }
        // Or, for instance:
        int[][] arrayCbis = {{1, 2, 3, 4}, {1, 2, 3, 4}, {1, 2, 3, 4}};

        /*
         * Question 2 d)
         */
        int count = 1;
        for (int row = 0; row < myArray2.length; row++)
        {
            for (int col = 0; col < myArray2[row].length; col++)
            {
                myArray2[row][col] = count;
                count++;
            }
        }

        // We can print the arrays to make sure we got it right:
        // (The printArray methods are defined at the end of this file.)
        System.out.print("Question 2 a) :\n");
        printArray(arrayA);
        printArray(arrayAbis);
        System.out.print("\nQuestion 2 b) :\n");
        printArray(myArray1);
        System.out.print("\nQuestion 2 c) :\n");
        printArray(arrayC);
        printArray(arrayCbis);
        System.out.print("\nQuestion 2 b ) :\n");
        printArray(myArray2);
    }

    /**
     * Method to print a one-dimensional int array.
     * @param a a one-dimensional int array.
     */
    public static void printArray(int[] a)
    {
        for (int i = 0; i < a.length; i++)
        {
            System.out.print("|" + a[i] + " ");
        }
        System.out.print("|\n");
    }
    /**
     * Method to print a two-dimensional int array.
     * @param a a two-dimensional int array.
     */
    public static void printArray(int[][] a)
    {
        for (int row = 0; row < a.length; row++)
        {
            for (int col = 0; col < a[row].length; col++)
            {
                System.out.printf("| %3d ", a[row][col]);
            }
            System.out.print("|\n");
        }
    }
}

